Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.log
Interface Logger

All Known Implementing Classes:
  Log4jLogger

    public interface Logger

The interface of Logger.

Author:
  ywang19

Method Summary
`void` | `debug(java.lang.String msg)`
`void` | `debug(java.lang.String format, java.lang.Object arg)`
`void` | `debug(java.lang.String format, java.lang.Object[] argArray)`
`void` | `debug(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `debug(java.lang.String msg, java.lang.Throwable t)`
`void` | `error(java.lang.String msg)`
`void` | `error(java.lang.String format, java.lang.Object arg)`
`void` | `error(java.lang.String format, java.lang.Object[] argArray)`
`void` | `error(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `error(java.lang.String msg, java.lang.Throwable t)`
`void` | `info(java.lang.String msg)`
`void` | `info(java.lang.String format, java.lang.Object arg)`
`void` | `info(java.lang.String format, java.lang.Object[] argArray)`
`void` | `info(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `info(java.lang.String msg, java.lang.Throwable t)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(java.lang.String msg)`
`void` | `trace(java.lang.String format, java.lang.Object arg)`
`void` | `trace(java.lang.String format, java.lang.Object[] argArray)`
`void` | `trace(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `trace(java.lang.String msg, java.lang.Throwable t)`
`void` | `warn(java.lang.String msg)`
`void` | `warn(java.lang.String format, java.lang.Object arg)`
`void` | `warn(java.lang.String format, java.lang.Object[] argArray)`
`void` | `warn(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `warn(java.lang.String msg, java.lang.Throwable t)`

Method Detail

### isTraceEnabled

    boolean isTraceEnabled()

### trace

    void trace(java.lang.String msg)

### trace

    void trace(java.lang.String msg,
               java.lang.Throwable t)

### trace

    void trace(java.lang.String format,
               java.lang.Object arg)

### trace

    void trace(java.lang.String format,
               java.lang.Object arg1,
               java.lang.Object arg2)

### trace

    void trace(java.lang.String format,
               java.lang.Object[] argArray)

### isDebugEnabled

    boolean isDebugEnabled()

### debug

    void debug(java.lang.String msg)

### debug

    void debug(java.lang.String msg,
               java.lang.Throwable t)

### debug

    void debug(java.lang.String format,
               java.lang.Object arg)

### debug

    void debug(java.lang.String format,
               java.lang.Object arg1,
               java.lang.Object arg2)

### debug

    void debug(java.lang.String format,
               java.lang.Object[] argArray)

### isInfoEnabled

    boolean isInfoEnabled()

### info

    void info(java.lang.String msg)

### info

    void info(java.lang.String msg,
              java.lang.Throwable t)

### info

    void info(java.lang.String format,
              java.lang.Object arg)

### info

    void info(java.lang.String format,
              java.lang.Object arg1,
              java.lang.Object arg2)

### info

    void info(java.lang.String format,
              java.lang.Object[] argArray)

### isWarnEnabled

    boolean isWarnEnabled()

### warn

    void warn(java.lang.String msg)

### warn

    void warn(java.lang.String msg,
              java.lang.Throwable t)

### warn

    void warn(java.lang.String format,
              java.lang.Object arg)

### warn

    void warn(java.lang.String format,
              java.lang.Object arg1,
              java.lang.Object arg2)

### warn

    void warn(java.lang.String format,
              java.lang.Object[] argArray)

### isErrorEnabled

    boolean isErrorEnabled()

### error

    void error(java.lang.String msg)

### error

    void error(java.lang.String msg,
               java.lang.Throwable t)

### error

    void error(java.lang.String format,
               java.lang.Object arg)

### error

    void error(java.lang.String format,
               java.lang.Object arg1,
               java.lang.Object arg2)

### error

    void error(java.lang.String format,
               java.lang.Object[] argArray)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD